varying float bias; // distance from center (0 = center, 1 = edge)
varying vec4 color;

void main() {
	float outline_begin = 0.85;
	float outline_thickness = 0.1;
	float outline_end = outline_begin + outline_thickness;
	float outline_middle = outline_begin + 0.5 * outline_thickness;
	float inside_alpha = 0.2; // opacity of filling

	if (bias < outline_begin) {
		gl_FragColor = vec4(color.xyz, color.w * inside_alpha);
	} else if (bias < outline_end) {
		float x = (bias - outline_begin) * (2.0 / outline_thickness) - 1.0;
		float x_squared = x * x;
		float alpha = x_squared * x_squared - 2.0 * x_squared + 1.0;
		if (bias < outline_middle && alpha < inside_alpha)
			alpha = 0.1;
		gl_FragColor = vec4(color.xyz, color.w * alpha);
	} else {
		discard;
	}
}
